Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356045 - [RFE] Storage...virtual machines and Storage...templates subtab columns need the ability to expand and sort
Summary: [RFE] Storage...virtual machines and Storage...templates subtab columns need ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ovirt-4.2.0
: ---
Assignee: Tal Nisan
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 10:16 UTC by Greg Scott
Modified: 2018-05-15 17:40 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-15 17:38:32 UTC
oVirt Team: Storage
ratamir: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:1488 None None None 2018-05-15 17:40:08 UTC

Description Greg Scott 2016-07-13 10:16:55 UTC
This RFE asks for the ability to expand and sort the columns in both the Templates and Virtual Machines subtab of the Storage Tab.  

Why is this important?

Go to the storage tab, select a storage domain, and see a list of dozens or hundreds of VMs.  I have a large RHEV customer who needs to sort those VMs and select ranges to do operations on the whole range.  The customer also needs the ability to expand the columns to see the whole field inside the columns.

Comment 1 Tomas Jelinek 2016-07-20 10:33:14 UTC
This is not a small task since this particular subtabs are not using the standard FE infrastructure to render because they are having expandable content.

@Greg: could you please elaborate a bit more on what operations would you like to be able to do? Why from the storage subtabs? And also which fields are not visible?
thank you

Comment 2 jvmarinelli 2016-07-20 14:10:20 UTC
Try this.

Within RHEVM Admin console 
Click on Storage tab
Highlight a storage domain
Click on Edit

Try to expand or sort the LUN ID or Serial # or any other field. With hundreds of LUNs we need to sort the fields too.
_______________________________________________________________


Within RHEVM Admin console 
Click on Storage tab
Click on Virtual Machine at bottom pane
Try to expand any of the column. None are expandable.

________________________________________________________________

Within RHEVM Admin console 
Click on Storage tab
Click on Template at bottom pane
Try to expand any of the column. None are expandable.

Comment 3 Moran Goldboim 2016-07-28 09:21:48 UTC
moving to storage team, since most of the items here are storage.

Comment 5 Greg Scott 2016-08-02 14:12:59 UTC
For Tomas - see John's comment #2 for my needsinfo. I'm not sure if clearing my needsinfo messes up the one Yaniv D put in a couple days ago.

- Greg

Comment 6 Tal Nisan 2016-08-08 09:41:13 UTC
There's currently an open RFE on the UX team for supporting all of the above in tree based sub tabs, once it's fixed it will be quite easy to implement in our sub tabs

Comment 7 Yaniv Kaul 2016-08-22 10:06:16 UTC
(In reply to Greg Scott from comment #0)
> This RFE asks for the ability to expand and sort the columns in both the
> Templates and Virtual Machines subtab of the Storage Tab.  
> 
> Why is this important?
> 
> Go to the storage tab, select a storage domain, and see a list of dozens or
> hundreds of VMs.  I have a large RHEV customer who needs to sort those VMs
> and select ranges to do operations on the whole range.  The customer also
> needs the ability to expand the columns to see the whole field inside the
> columns.

What operations exactly? Perhaps we can ease the work of selecting VMs and performing an operation on them. What is the selection criteria?

Comment 8 Greg Scott 2016-08-22 15:09:57 UTC
John, I'll need your help getting Yaniv the info he needs.  So I'm keeping the needsinfo flag turned on.  

See comment 2 for John's description of examples where columns need to be sortable and expandable.  So now Yaniv is asking for examples of why that capability would be useful.  

This info is important to help engineering prioritize what to work on.  I'll take a stab at some of it.

Let's say there's a list of hundreds of VMs. They are all named the same, except for maybe a sequence number at the end.  But those last few characters of the name are not visible because the column is too small.  That makes it challenging to select a VM to operate on.  So why not just go to the VM tab and do it from there?  This is a viable workaround, but it sometimes takes *minutes* to refresh the VMs in the VM tab, and selecting the proper VM requires putting together a complex query.  So a 10 second operation becomes a complex 5 minute query.  Times hundreds of VMs, it becomes a productivity killer.

And when looking at the LUNs in a storage domain - same thing, the LUNs sre all named with a long string in the front with the unique portion of the name on the right.  But the column isn't always wide enough to show it.

Why care about individual LUNs in a storage domain?  Because this is how the customer ties performance and capacity measurements back to the SAN.  

thanks

- Greg

Comment 9 Greg Scott 2016-08-22 19:51:10 UTC
On the LUN stuff - the ability to sort is also important because the WWIDs never show up grouped together - so there's no easy way to see which LUNs belong to what storage domains.

- Greg

Comment 10 Yaniv Lavi 2017-11-26 12:36:33 UTC
Is this improved after the UI changes in 4.2?

Comment 11 Tal Nisan 2017-11-26 15:13:33 UTC
Most likely it was improved in most if not all the gaps described

Comment 12 Raz Tamir 2017-11-30 11:36:26 UTC
Tested on ovirt-engine-https://bugzilla.redhat.com/show_bug.cgi?id=1509629

All mentioned (and more) columns are expendable and sortable.
If any specific column that wasn't mentioned in this bug needs to be tested put needinfo for me.

Moving to VERIFIED

Comment 13 RHV Bugzilla Automation and Verification Bot 2017-12-06 16:16:23 UTC
INFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[No external trackers attached]

For more info please contact: rhv-devops@redhat.com

Comment 14 RHV Bugzilla Automation and Verification Bot 2017-12-12 21:14:56 UTC
INFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[No external trackers attached]

For more info please contact: rhv-devops@redhat.com

Comment 15 RHV Bugzilla Automation and Verification Bot 2017-12-18 17:05:21 UTC
INFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[No external trackers attached]

For more info please contact: rhv-devops@redhat.com

Comment 18 errata-xmlrpc 2018-05-15 17:38:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488


Note You need to log in before you can comment on or make changes to this bug.